# Class ControlEvent

SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.ControlEvent

public final class ControlEvent extends TypedEvent
Instances of this class are sent as a result of controls being moved or resized.

See Also:
  - `ControlListener`

## Field Summary

### Fields inherited from class TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`ControlEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

### Methods inherited from class TypedEvent

`toString`

## Constructor Details

### ControlEvent

public ControlEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information